Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atomikos.icatch
Interface TransactionControl

All Superinterfaces:
  Serializable

All Known Implementing Classes:
  CompositeTransactionImp

Deprecated. As from release 3.0, the methods of this interface have been moved to the basic CompositeTransaction interface.

    public interface TransactionControl

extends Serializable

A control for a transaction. This groups the methods that are only available to priviledged ( usually meaning local ) application code.

Method Summary
`CompositeTransaction` | `createSubTransaction()` Deprecated. Create a subtx for this transaction.
`Extent` | `getExtent()` Deprecated. Get the extent for the transaction.
`int` | `getLocalSubTxCount()` Deprecated. Get the number of subtxs that were locally started for this instance.
`CompositeTerminator` | `getTerminator()` Deprecated. Get a terminator for this tx.
`long` | `getTimeout()` Deprecated. Get the timeout in ms.
`void` | `setRollbackOnly()` Deprecated. Marks the transaction so that the only possible termination is rollback.
`void` | `setSerial()` Deprecated. Set serial mode for root.
`void` | `setTag(HeuristicMessage tag)` Deprecated. Sets the tag for this transaction.

Method Detail

### createSubTransaction

    CompositeTransaction createSubTransaction()
                                              throws SysException,
                                                     IllegalStateException

  Deprecated.
  Create a subtx for this transaction.

  Returns:
    CompositeTransaction The subtx.
  Throws:
    `IllegalStateException` - If no longer active.
    `SysException`

### setSerial

    void setSerial()
                   throws IllegalStateException,
                          SysException

  Deprecated.
  Set serial mode for root. This only works on the root itself, and can not be undone. After this, no parallel calls are allowed in any descendant.

  Throws:
    `IllegalStateException` - If called for non-root tx.
    `SysException` - For unexpected errors.

### getTerminator

    CompositeTerminator getTerminator()

  Deprecated.
  Get a terminator for this tx.

  Returns:
    CompositeTerminator A terminator, null if none.

### getLocalSubTxCount

    int getLocalSubTxCount()

  Deprecated.
  Get the number of subtxs that were locally started for this instance.

  Returns:
    int The number of locally started subtxs.

### setTag

    void setTag(HeuristicMessage tag)

  Deprecated.
  Sets the tag for this transaction. This is returned as a summary of the local work in case the transaction was imported from a remote client TM.

  Parameters:
    `tag` - The tag to add to the transaction.

### getExtent

    Extent getExtent()

  Deprecated.
  Get the extent for the transaction.

### getTimeout

    long getTimeout()

  Deprecated.
  Get the timeout in ms.

  Returns:
    long The timeout, in ms, of the tx.

### setRollbackOnly

    void setRollbackOnly()

  Deprecated.
  Marks the transaction so that the only possible termination is rollback.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.